IOS App getting crash on OS version 16.0.2

we are getting crash issue on OS version 16.0.2, please give me solution for this, SDK is also up to date.

libsp.dylib`spd_checkin_socket.cold.1:
0x21b718364 <+0>: adrp x8, 141905
0x21b718368 <+4>: adrp x9, 0
0x21b71836c <+8>: add x9, x9, #0xa3f ; “Linked against modern SDK, VOIP socket will not wake. Use Local Push Connectivity instead”
0x21b718370 <+12>: str x9, [x8, #0x400]
→ 0x21b718374 <+16>: brk #0x1

Thread 12: EXC_BREAKPOINT (code=1, subcode=0x21b718374)

Hello, so your ios sdk is version 5.27? Also, may I know you xcode version please?

Yes my sdk version is 5.27, and xcode Version is 14.0.1 (14A400).

@vibhorMaheshwari currently, our team is working on the improvements of our sdk to make it compatible with new version of Xcode and iOS. This issue shouldn’t happen with app that built with Xcode13, so we would recommend you to stay on Xcode13 until we release our new version, we’re aiming to release it within October.

Hi

i have update SDK again 5.28 and app still crashing and same issue. what is the solution? my customer getting mad on this.

Thanks
Kishore

Hi @kishorgupta5 please try building apps with xcode 13